org.apache.mina.statemachine.transition

## Class AbstractSelfTransition

- java.lang.Object
- - org.apache.mina.statemachine.transition.AbstractSelfTransition

- All Implemented Interfaces:
    SelfTransition
  Direct Known Subclasses:
    MethodSelfTransition

      public abstract class AbstractSelfTransition
      extends Object
      implements SelfTransition

  Abstract `SelfTransition` implementation.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSelfTransition()` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `doExecute(StateContext stateContext, State state)` Executes this `SelfTransition`.
    `boolean` | `execute(StateContext stateContext, State state)` Executes this `SelfTransition`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSelfTransition

          public AbstractSelfTransition()

      Creates a new instance

  - ### Method Detail

    - #### doExecute

          protected abstract boolean doExecute(StateContext stateContext,
                          State state)

      Executes this `SelfTransition`.
      Returns:
        `true` if the `SelfTransition` has been executed successfully

    - #### execute

          public boolean execute(StateContext stateContext,
                        State state)

      Description copied from interface: `SelfTransition`
      Executes this `SelfTransition`.
      Specified by:
        `execute` in interface `SelfTransition`
      Returns:
        `true` if the `SelfTransition` was executed, `false` otherwise.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.